package dev.peerat.backend.routes.admins.tag;

import java.util.List;
import java.util.regex.Matcher;

import dev.peerat.backend.model.Tag;
import dev.peerat.backend.repository.DatabaseRepository;
import dev.peerat.framework.Context;
import dev.peerat.framework.HttpReader;
import dev.peerat.framework.HttpWriter;
import dev.peerat.framework.Response;
import dev.peerat.framework.Route;
import dev.peerat.framework.utils.json.JsonArray;

public class GetTags implements Response{
	
	private DatabaseRepository repo;
	
	public GetTags(DatabaseRepository repo){
		this.repo = repo;
	}
	
	@Route(path = "^/admin/tag/$", needLogin = true)
	public void exec(Matcher matcher, Context context, HttpReader reader, HttpWriter writer) throws Exception{
		List<Tag> list = repo.getAdminTags();
		JsonArray json = new JsonArray();
		for(Tag tag : list) json.add(tag.toJson());
		context.response(200);
		writer.write(json.toString());
		writer.flush();
	}

}
